Name:		libsettos
Version:	2
Release:	3%{?dist}
Summary:	Library to LD_PRELOAD to override the TOS for an app.

License:	Public Domain
Source0:	settos.c

BuildRequires:	gcc

%description

Libsettos is a LD_PRELOADable library to set the TOS/DSCP field for
any IP or IPv6 socket created by a dynamically linked binay.
It can be used with:
  env LIBSETTOS_TOS=<tos> LD_PRELOAD=libsettos.so <binary> [<arg...>]

Where <tos> is a number between 0 and 255 inclusive with the two
lowest bytes set to 0 (i.e. <tos>%4 == 0).
It correspond to a DSCP code point shifted by two bits to the left
(the two lowest bits of the TOS are reserved for ECN).
<binary> can be any dynamically linked executable (eg. Skype).

%prep
%setup -q -T -c %{name}-%{version}
cp %{SOURCE0} .

%build
gcc %{__global_cflags} -Wall -Werror -fPIC -shared -o libsettos.so settos.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -m 755 libsettos.so $RPM_BUILD_ROOT%{_libdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%{_libdir}/*.so

%changelog
* Mon Oct 28 2019 Philippe Troin <phil@fifi.org> - 2-3
- Add BuildRequires: gcc.

* Fri Jan 12 2018 Philippe Troin <phil@fifi.org> - 2-2
- Generate a debug package.

* Wed Feb  5 2014 Philippe Troin <phil@fifi.org> - 2-1
- Handle IPv6 correctly (IPV6_TFLAGS).

* Sat Jan 25 2014 Philippe Troin <phil@fifi.org> - 1-1
- Created.
